package ru.yandex.autotests.directapi.darkside.steps;

import java.util.Arrays;
import java.util.List;

import ru.yandex.autotests.directapi.darkside.datacontainers.jsonrpc.CampaignsSumsForBsResponse;
import ru.yandex.autotests.directapi.darkside.datacontainers.jsonrpc.CampaignsSumsForBsService;
import ru.yandex.autotests.directapi.darkside.steps.base.BaseJsonRpcSteps;
import ru.yandex.qatools.allure.annotations.Step;

public class CampaignsSumsForBsSteps extends BaseJsonRpcSteps<CampaignsSumsForBsService> {

    @Step("Вызов CampaignsSumsForBs для кампаний {0}")
    public List<CampaignsSumsForBsResponse> get(Long... cids) {
        return service().get(Arrays.asList(cids));
    }

    @Override
    protected String getServiceName() {
        return CampaignsSumsForBsService.SERVICE_NAME;
    }

    @Override
    protected Class<CampaignsSumsForBsService> getClazz() {
        return CampaignsSumsForBsService.class;
    }
}
